1. API reference
  2. Contacts

Get a contact

GEThttps://howdybell.com/api/v1/contacts/{id}

Retrieve the details of a specific contact by its ID. The contact must belong to the specified location. The response includes all contact fields and related data.

Parameters

  • idstringRequiredpath
  • location_idintegerRequiredquery

    The location to work in. Must belong to your workspace.

Responses

200

  • idinteger
  • namestring
  • first_namestring
  • last_namestring
  • emailstring, nullable
  • phone_displaystring, nullable
  • intereststring, nullable
  • sourcestring, nullable
  • ownerobject, nullable
    • idinteger
    • namestring
  • tagsarray of string
  • stageobject, nullable
    • idinteger
    • namestring
    • kindstring
    • colorstring, nullable
  • value_centsinteger
  • last_activity_atstring, nullable
  • next_taskobject, nullable
    • idinteger
    • titlestring
    • due_atstring, nullable
    • overdueboolean
  • dndboolean
  • companystring, nullable
  • address1string, nullable
  • citystring, nullable
  • statestring, nullable
  • zipstring, nullable
  • timezonestring, nullable
  • created_atstring, nullable
  • updated_atstring, nullable
  • opportunitiesarray of string
  • tasksarray of string
  • notesarray of string
  • conversationsarray of string
  • activitiesarray of string
RequestcURL
curl -X GET "https://howdybell.com/api/v1/contacts/123?location_id=1" \
  -H "Authorization: Bearer $HOWDYBELL_TOKEN" \
  -H "Accept: application/json" \
Response200
{
  "id": 18,
  "name": "Sam Rider",
  "first_name": "Sam",
  "last_name": "Rider",
  "email": "[email protected]",
  "phone_display": null,
  "interest": null,
  "source": null,
  "owner": null,
  "tags": [],
  "stage": null,
  "value_cents": 0,
  "last_activity_at": "2026-09-29T06:49:29.000000Z",
  "next_task": null,
  "dnd": false,
  "company": null,
  "address1": null,
  "city": null,
  "state": null,
  "zip": null,
  "timezone": null,
  "created_at": "2026-09-29T06:49:29.000000Z",
  "updated_at": "2026-09-29T06:49:29.000000Z",
  "opportunities": [],
  "tasks": [],
  "notes": [],
  "conversations": [],
  "activities": [
    {
      "id": 87,
      "kind": "contact.created",
      "actor": null,
      "data": [],
      "created_at": "2026-09-29T06:49:29.000000Z"
    }
  ]
}
Get a contact (GET /api/v1/contacts/{id}) | HowdyBell Developers